> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Stake state by delegator.

> This endpoint returns the daily stake state of a delegator

This endpoint allows you to query the daily stake and shares balance of a specific delegator based on their delegator address, given by the `earner` field in the response.


## OpenAPI

````yaml get /v1/eigenlayer/delegators/{delegator_address}/state
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v1/eigenlayer/delegators/{delegator_address}/state:
    get:
      tags:
        - Eigenlayer Delegations
      summary: Get Stake state by delegator.
      description: This endpoint returns the daily stake state of a delegator
      operationId: >-
        get_delegator_state_v1_eigenlayer_delegators__delegator_address__state_get
      parameters:
        - name: delegator_address
          in: path
          required: true
          schema:
            type: string
            title: Delegator Address
        - name: fromDate
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            description: Start date
            examples:
              - '2023-01-01'
            title: Fromdate
          description: Start date
        - name: toDate
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            description: End date
            examples:
              - '2023-12-31'
            title: Todate
          description: End date
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            description: The number of results returned per page
            default: 10
            title: Limit
          description: The number of results returned per page
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            description: The number of results to skip before starting to return
            default: 0
            title: Offset
          description: The number of results to skip before starting to return
        - name: X-Rated-Network
          in: header
          required: false
          schema:
            $ref: '#/components/schemas/Network'
            default: mainnet
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResponse_EigenlayerDelegatorDailyState_
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    Network:
      type: string
      enum:
        - mainnet
        - hoodi
        - holesky
      title: Network
    PaginatedResponse_EigenlayerDelegatorDailyState_:
      properties:
        previous:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
        pages:
          type: integer
          minimum: 0
          title: Pages
        results:
          items:
            $ref: '#/components/schemas/EigenlayerDelegatorDailyState'
          type: array
          title: Results
      type: object
      required:
        - previous
        - next
        - pages
        - results
      title: PaginatedResponse[EigenlayerDelegatorDailyState]
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    EigenlayerDelegatorDailyState:
      properties:
        date:
          type: string
          format: date
          title: Date
        earner:
          type: string
          title: Earner
        strategy:
          type: string
          title: Strategy
        token:
          anyOf:
            - $ref: '#/components/schemas/EigenlayerToken'
            - type: 'null'
        totalShares:
          type: number
          title: Totalshares
        totalBalance:
          type: number
          title: Totalbalance
      type: object
      required:
        - date
        - earner
        - strategy
        - totalShares
        - totalBalance
      title: EigenlayerDelegatorDailyState
      examples:
        - date: '2024-10-01'
          earner: '0xB0bd0c91798d720a5585364bb4be7396c5b9731'
          strategy: '0x54945180dB7943c0ed0FEE7EdaB2Bd24620256bc'
          token:
            - address: '0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2'
              decimals: 18
              name: Wrapped Ether
              symbol: WETH
          totalBalance: 12000000000000000000
          totalShares: 12000000000000000000
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
    EigenlayerToken:
      properties:
        address:
          type: string
          title: Address
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        symbol:
          anyOf:
            - type: string
            - type: 'null'
          title: Symbol
        decimals:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Decimals
      type: object
      required:
        - address
      title: EigenlayerToken
      examples:
        - address: '0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2'
          decimals: 18
          name: Wrapped Ether
          symbol: WETH
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````